/* tmna6d.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

/* Common Block Declarations */

struct {
    int ntest;
} _BLNK__;

#define _BLNK__1 _BLNK__

struct {
    int iter;
} mna6rr_;

#define mna6rr_1 mna6rr_

int main(void)
{
    /* Local variables */
    extern int mna6d_c(int *, double *, double *, double *, double *,
                       int *, int *);
    static int n, iflag;
    static double y;
    static int itmax;
    static double p1[4] /* was [2][2] */,
                  p2[4] /* was [2][2] */, x1[2], x2[2], eps;

    _BLNK__1.ntest = 1;
    n = 2;
    x1[0] = 8.;
    x1[1] = 9.;
    eps = 1e-6;
    itmax = 500;
    mna6d_c(&n, x1, &y, p1, &eps, &iflag, &itmax);

    printf("\n %15.6e %15.6e \n", x1[0], x1[1]);
    printf("\n %15.6e \n", y);
    printf("\n %5i \n", iflag);
    printf("\n %5i \n", mna6rr_1.iter);
    _BLNK__1.ntest = 2;
    x2[0] = 1.2;
    x2[1] = 1.;
    mna6d_c(&n, x2, &y, p2, &eps, &iflag, &itmax);

    printf("\n %15.6e %15.6e \n", x2[0], x2[1]);
    printf("\n %15.6e \n", y);
    printf("\n %5i \n", iflag);
    printf("\n %5i \n", mna6rr_1.iter);
    return 0;
} /* main */

double func_c(double *x, int *n)
{
    /* System generated locals */
    double ret_val, d__1, d__2, d__3;

    /* Parameter adjustments */
    --x;

    /* Function Body */
    if (_BLNK__1.ntest != 1) {
        goto L1;
    }
/* Computing 2nd power */
    d__1 = x[1] - .5;
/* Computing 2nd power */
    d__2 = x[2] - 6.;
    ret_val = d__1 * d__1 * 4. + d__2 * d__2;
    return ret_val;
L1:
/* Computing 2nd power */
    d__2 = x[1];
/* Computing 2nd power */
    d__1 = x[2] - d__2 * d__2;
/* Computing 2nd power */
    d__3 = 1. - x[1];
    ret_val = d__1 * d__1 * 100. + d__3 * d__3;
    return ret_val;
} /* func_c */
